<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>


<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'ShowLoginsBalance'">  </xsl:when>
	<xsl:when test="data/@action = 'ShowSessions'"> </xsl:when>
	<xsl:when test="data/@action = 'ChangeLoginPassword'">   </xsl:when>
	<xsl:when test="data/@action = 'LoginDirect'">  </xsl:when>	
	<xsl:when test="data/@action = 'DispatchSession'"> </xsl:when>
	<xsl:when test="data/@action = 'DispatchAmount'">    (  )</xsl:when>
	<xsl:when test="data/@action = 'DispatchDirect'">   </xsl:when>	
	<xsl:when test="data/@action = 'ChangeLoginsStatus'">  VoiceIp</xsl:when>
</xsl:choose>
</xsl:template>


<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="@action = 'ShowLoginsBalance'">
		<xsl:call-template name="ShowLoginsBalance"/>
	</xsl:when>
	<xsl:when test="@action = 'ShowSessions'">
	 	<xsl:call-template name="ShowSessions"/>
	</xsl:when>
	<xsl:when test="@action = 'ChangeLoginPassword'">
	 	<xsl:call-template name="ChangeLoginPassword"/>
	</xsl:when>
	<xsl:when test="@action = 'LoginDirect'">
	 	<xsl:call-template name="LoginDirect"/>
	</xsl:when>	
	<xsl:when test="@action = 'DispatchSession'">
	 	<xsl:call-template name="DispatchSession"/>
	</xsl:when>
	<xsl:when test="@action = 'DispatchAmount'">
	 	<xsl:call-template name="DispatchAmount"/>
	</xsl:when>
	<xsl:when test="@action = 'DispatchDirect'">
	 	<xsl:call-template name="DispatchDirect"/>
	</xsl:when>
	<xsl:when test="@action = 'ChangeLoginsStatus'">
	 	<xsl:call-template name="ChangeLoginsStatus"/>
	</xsl:when>	
	
</xsl:choose>
</xsl:template>


<!--     -->
<xsl:template name="ChangeLoginPassword">

	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"	/>

		<xsl:if test="@status = 'ok'"><div class="infoMessage"> !</div></xsl:if>

		<div class="report">
			<table cellspacing="1">
			<tbody>
				<tr>
    				<td nowrap="1">:</td>
	    			<td>
     					<select name="login">
							<xsl:call-template name="logins_list"/>
						</select>
        			</td>
				</tr>  
    			<tr>
    				<td nowrap="1"> :</td>
					<td><input type="old_pswd" name="old_pswd" maxlength="15"/></td>
				</tr>
    			<tr>
        			<td nowrap="1"> :</td>
					<td><input type="pswd1" name="pswd1" maxlength="15"/></td>
				</tr>
				<tr>
					<td nowrap="1"> :</td>
					<td><input type="pswd2" name="pswd2" maxlength="15"/></td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2">
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="''"/>
							<xsl:with-param name="align" select="'right'"/>
						</xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>

</xsl:template>


<!--   -->
<xsl:template name="ShowSessions">

	<form method='post' action='{$WEBEXECUTER}#idDivReport' name="sessions">
		<xsl:variable name="module" select="/data/@module"/>
		<xsl:call-template name="action"/>
		<xsl:call-template name="sessionFilter"/>
	</form>
	
	<xsl:call-template name="AddReportReferences"/>
	
	<div class="report">
			
		<xsl:call-template name="pagesBar">
			<xsl:with-param name="node" select="sessions"/>
			<xsl:with-param name="data">
				<xsl:call-template name="action"/>
				<div style="display: none;">
					<xsl:call-template name="sessionFilter"/>
				</div>
			</xsl:with-param>
		</xsl:call-template>
			
		<table cellspacing="1">
			<thead>
        		<tr>
           			<td> </td>		
           			<td></td>
           			<td> </td>
					<td><br/> , .:.</td>
					<td>. <br/> , .:.</td>
					<td> , .</td>
					<td>, .</td>
					<td>C  /  </td>               
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="sessions/row">
				<tr>
               			<td style="text-align: center"><xsl:value-of select="@type"/></td>               
               			<td><xsl:value-of select="@dest"/></td>
               			<td><xsl:value-of select="@session_start"/></td>
               			<td><xsl:value-of select="@session_time"/></td>
               			<td><xsl:value-of select="@round_session_time"/></td>
               			<td><xsl:value-of select="@min_cost"/></td>
               			<td><xsl:value-of select="@cost"/></td>
               			<td><xsl:value-of select="@from_to"/></td>
				</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>          
				<tr>
            			<td colspan="3" align="left"> :&#x0A;<xsl:value-of select="sessions/@count_amount"/></td>
            			<td><xsl:value-of select="sessions/@time_amount"/></td>
            			<td><xsl:value-of select="sessions/@round_time_amount"/></td>
            			<td>&#160;</td>
            			<td><xsl:value-of select="sessions/@money_amount"/></td>
            			<td>&#160;</td>
				</tr>  
			</tfoot>
		</table>
	</div>
<!--
	<form method='post' action='{$WEBEXECUTER}#idDivReport' name="sessions">
		<xsl:variable name="module" select="/data/@module"/>
		<xsl:call-template name="action"/>		

		<xsl:call-template name="sessionFilter"/>

		<xsl:call-template name="AddReportReferences"/>

		<xsl:call-template name="~report">
			<xsl:with-param name="node" select="sessions"/>
			<xsl:with-param name="data">

				<table cellspacing="1">
				<col align="center"/>
				<col/>
				<col/>
				<col/>
				<col/>
				<col/>
				<col/>
				<thead>
          			<tr>
          	   			<td> </td>		
               			<td></td>
               			<td> </td>
               			<td><br/> , .:.</td>
               			<td>. <br/> , .:.</td>
               			<td> , .</td>
               			<td>, .</td>
               			<td>C  /  </td>               
          			</tr>
          		</thead>
		  		<tbody>
          			<xsl:for-each select="sessions/row">
             		<tr>
               			<td style="text-align: center"><xsl:value-of select="@type"/></td>               
               			<td><xsl:value-of select="@dest"/></td>
               			<td><xsl:value-of select="@session_start"/></td>
               			<td><xsl:value-of select="@session_time"/></td>
               			<td><xsl:value-of select="@round_session_time"/></td>
               			<td><xsl:value-of select="@min_cost"/></td>
               			<td><xsl:value-of select="@cost"/></td>
               			<td><xsl:value-of select="@from_to"/></td>
            		</tr>
          			</xsl:for-each>
          		</tbody>
		  		<tfoot>          
          			<tr>
            			<td colspan="3" align="left"> :&#x0A;<xsl:value-of select="sessions/@count_amount"/></td>
            			<td><xsl:value-of select="sessions/@time_amount"/></td>
            			<td><xsl:value-of select="sessions/@round_time_amount"/></td>
            			<td>&#160;</td>
            			<td><xsl:value-of select="sessions/@money_amount"/></td>
            			<td>&#160;</td>
          			</tr>  
		  		</tfoot>
				</table>	
			</xsl:with-param>
		</xsl:call-template>
	</form>
-->
</xsl:template>


<!--    -->
<xsl:template name="ShowLoginsBalance">
	<xsl:variable name="module" select="/data/@module"/>
	<form method='post' action='{$WEBEXECUTER}#idDivReport'>
		<xsl:call-template name="action"/>

		<xsl:call-template name="periodFilter"/>

		<div class="report" >
			<table cellspacing='1' class="table800">
			<thead>
				<tr>
					<td>
						<xsl:if test="$module!='voice'"></xsl:if>
	  					<xsl:if test="$module='voice'"></xsl:if>	
					</td>
    				<td> </td>
    				<td></td>
    				<td>. </td>
    				<td></td>
    				<xsl:if test="$module='dialup'">
    					<td><xsl:value-of select="amounts/@traffics_title"/></td>
					</xsl:if>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="amounts/row">
    			<tr>
					<td><xsl:value-of select="@login"/></td>
					<td><xsl:value-of select="@count"/></td>
            		<td><xsl:value-of select="@time"/></td>
            		<td><xsl:value-of select="@round_time"/></td>
            		<td><xsl:value-of select="@cost"/></td>             
    				<xsl:if test="$module='dialup'">
						<td><xsl:value-of select="@f4"/></td>
	    			</xsl:if>
            	</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>
				<tr align="center">
            		<td>:</td>
            		<td><xsl:value-of select="amounts/@count_amount"/></td>
           			<td><xsl:value-of select="amounts/@time_amount"/></td>
            		<td><xsl:value-of select="amounts/@round_time_amount"/></td>
            		<td><xsl:value-of select="amounts/@money_amount"/></td>
            		<xsl:if test="$module='dialup'">          
	            		<td><xsl:value-of select="amounts/@traffics"/></td>
	      			</xsl:if>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>


<!--     -->
<xsl:template name="LoginDirect">
	<xsl:variable name="module" select="/data/@module"/>
	<form method='post' action='{$WEBEXECUTER}#idDivReport'>
		<xsl:call-template name="action"/>

		<xsl:call-template name="loginFilter"/>

		<div class="report" >
			<table cellspacing='1' class="table800">
			<thead>
				<tr>
       				<td></td>
       				<td> </td>
       				<td> :</td>
       				<td> . :</td>
       				<td></td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="directs/row">
				<tr>
					<td><xsl:value-of select="@dest"/></td>
					<td><xsl:value-of select="@col"/></td>               
					<td><xsl:value-of select="@time"/></td>
					<td><xsl:value-of select="@round_time"/></td>
					<td><xsl:value-of select="@sum"/></td>               
				</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>
				<tr>
					<td>:</td>
        			<td><xsl:value-of select="directs/@count_amount"/></td>
    				<td><xsl:value-of select="directs/@time_amount"/></td>
        			<td><xsl:value-of select="directs/@round_time_amount"/></td>
        			<td><xsl:value-of select="directs/@money_amount"/></td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>



<!--      -->
<xsl:template name="DispatchAmount">
	<form action="{$WEBEXECUTER}" method="post">
		<xsl:call-template name="action"/>
		<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
		<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
		<input type="hidden" name="command" value="save"/>
		
		<xsl:call-template name="error"/>

		<div class="report">
			<table cellspacing='1' class="table800">
			<thead>
				<tr>
		  			<td></td>
		  			<td></td>
		  			<td></td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th>:</th>
					<td>
						<!-- 
						<input type="text" name="title" size="32">
						<xsl:attribute name="value"><xsl:value-of select="dispatch/@title"/></xsl:attribute>
						</input>
						-->
						<input type="text" name="title" size="32" value="{dispatch/@title}"/>
					</td>
					<td><em class="comment">
						  ,  '   voip'.	
						      .</em>
					</td>
		  		</tr>
		  		<tr>	
					<th>:</th>
					<td>
						<textarea name="mails" rows="4" cols="25">
							<xsl:for-each select="dispatch/mail">
							<xsl:value-of select="@value"/>
							<xsl:if test="position() != last()">
								<xsl:value-of select="'	
								'"/>
							</xsl:if>
							</xsl:for-each>
						</textarea>
					</td>
					<td><em class="comment">
						       .
						    .</em>
					</td>
  		  		</tr>
  		  		<tr>			
					<th>:</th>
					<td>
						<select name="status">
							<option value="0"></option>
							<option value="1"><xsl:if test="dispatch/@status='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if></option>
						</select>
					</td>
					<td><em class="comment">      .</em></td>
				</tr>
				<tr>	
					<th nowrap="1">  ( 1-7 ):</th>
					<td>
						<input type="text" name="dw">
							<xsl:attribute name="value"><xsl:value-of select="dispatch/@dw"/></xsl:attribute>
						</input>
					</td>
					<td><em class="comment">
						 ,  1 - 7 (   ), 1, 2 ( ,  )
						     .</em>
					</td>
		 		</tr>		  
		  		<tr>
					<td colspan="3">
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="''"/>
							<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
						</xsl:call-template>
					</td>
		  		</tr>
			</tbody>
			</table>
		</div>	
	</form>		
</xsl:template>


<!--     -->
<xsl:template name="DispatchSession">
	<form action="{$WEBEXECUTER}" method="post">
		<xsl:call-template name="action"/>
		<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
		<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
		<input type="hidden" name="command" value="save"/>
		
		<xsl:call-template name="error"/>

		<div class="report">
			<table cellspacing='1' class="table800">
			<thead>
		  		<tr>
		  			<td></td>
		  			<td></td>
		  			<td></td>
		  		</tr>
			</thead>
			<tbody>
		  		<tr>
					<th>:</th>
					<td>
						<input type="text" name="title" size="32">
							<xsl:attribute name="value"><xsl:value-of select="dispatch/@title"/></xsl:attribute>
						</input>
					</td>
					<td><em class="comment">
						  ,  '  test'.	
						      .</em>
					</td>
		  		</tr>
		  		<tr>
					<th>:</th>
					<td>
						<select name="lid">
						<xsl:for-each select="/data/logins/item">
          				<option>
              				<xsl:if test="/data/dispatch/@lid=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
              				<xsl:value-of select="@title"/>
          				</option>
      					</xsl:for-each>	
						</select>
					</td>
					<td>
						<em class="comment">,    .</em>
					</td>
		  		</tr>
		  		<tr>	
					<th>:</th>
					<td>
						<textarea name="mails" rows="4" cols="25">
						<xsl:for-each select="dispatch/mail">
						<xsl:value-of select="@value"/>
						<xsl:if test="position() != last()">
							<xsl:value-of select="'	
							'"/>
						</xsl:if>
						</xsl:for-each>
						</textarea>
					</td>
					<td><em class="comment">
						       .
						    .</em>
					</td>
  		  		</tr>  		  
  		  		<tr>			
					<th>:</th>
					<td>
						<select name="status">
							<option value="0"></option>
							<option value="1"><xsl:if test="dispatch/@status='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if></option>
						</select>
					</td>
					<td><em class="comment">      .</em></td>
		 		</tr>
		 		<tr>	
					<th nowrap="1">  ( 1-7 ):</th>
					<td>
						<input type="text" name="dw">
							<xsl:attribute name="value"><xsl:value-of select="dispatch/@dw"/></xsl:attribute>
						</input>
					</td>
					<td><em class="comment">
						 ,  1 - 7 (   ), 1, 2 ( ,  )
						     .</em>
					</td>
		 		</tr>		  
		  		<tr>
					<td colspan="3">
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="''"/>
							<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
						</xsl:call-template>		
					</td>
		  		</tr>
			</tbody>
			</table>
		</div>
	</form>		
</xsl:template>


<!--      -->
<xsl:template name="DispatchDirect">
	<form action="{$WEBEXECUTER}" method="post">
		<xsl:call-template name="action"/>
		<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
		<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
		<input type="hidden" name="command" value="save"/>
		
		<xsl:call-template name="error"/>

		<div class="report">
			<table cellspacing="1" class="table800">
			<thead>
				<tr>
		  			<td></td>
		  			<td></td>
		  			<td></td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th>:</th>
					<td>
						<input type="text" name="title" size="32">
							<xsl:attribute name="value"><xsl:value-of select="dispatch/@title"/></xsl:attribute>
						</input>
					</td>
					<td><em class="comment">
						  ,  '      11111'.	
						      .</em>
					</td>
		  		</tr>
		  		<tr>
					<td>
						<xsl:if test="/data/@module = 'voiceip'">:</xsl:if>
						<xsl:if test="/data/@module = 'voice'">:</xsl:if>			
					</td>
					<td>
						<select name="lid">
						<xsl:for-each select="/data/logins/item">
          				<option>
              				<xsl:if test="/data/dispatch/@lid=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
              				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
              				<xsl:value-of select="@title"/>
          				</option>
      					</xsl:for-each>	
						</select>
					</td>
					<td>
						<em class="comment"> (  ),    .</em>
					</td>
		  		</tr>
		  		<tr>	
					<th>:</th>
					<td>
						<textarea name="mails" rows="4" cols="25">
						<xsl:for-each select="dispatch/mail">
						<xsl:value-of select="@value"/>
						<xsl:if test="position() != last()">
							<xsl:value-of select="'	
							'"/>
						</xsl:if>
						</xsl:for-each>
						</textarea>
					</td>
					<td><em class="comment">
						       .
						    .</em>
					</td>
  		  		</tr>
  		  		<tr>			
					<th>:</th>
					<td>
						<select name="status">
							<option value="0"></option>
							<option value="1"><xsl:if test="dispatch/@status='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if></option>
						</select>
					</td>
					<td><em class="comment">      .</em></td>
		 		</tr>
		 		<tr>	
					<th nowrap="1">  ( 1-7 ):</th>
					<td>
						<input type="text" name="dw">
							<xsl:attribute name="value"><xsl:value-of select="dispatch/@dw"/></xsl:attribute>
						</input>
					</td>
					<td><em class="comment">
						 ,  1 - 7 (   ), 1, 2 ( ,  )
						     .</em>
					</td>
		 		</tr>		  
		  		<tr>
					<td colspan="3">
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="''"/>
							<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
						</xsl:call-template>	
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</form>		
</xsl:template>


<xsl:template name="AddReportReferences">
		<div>
		  :
		<a title="CSV" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=csv">CSV</a>,
		<a title="HTML" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=html">HTML</a>,
		<a title="CSV/ZIP" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=csv&amp;zip=1">CSV/ZIP</a>,
		<a title="HTML/ZIP" href="{$WEBEXECUTER}?module=voiceip&amp;mid={/data/@mid}&amp;action=ShowSessions&amp;login={/data/logins/@id}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=html&amp;zip=1">HTML/ZIP</a> (     "")
		</div>
</xsl:template>


<xsl:template name="ChangeLoginsStatus">
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>

		<xsl:if test="@status = 'ok'"><div class="infoMessage"> !</div></xsl:if>
		<div class="report" >
			<table cellspacing='1' class="table800">
			<thead>
				<tr>
					<td></td>
    				<td></td>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="logins/item">
    			<tr>
					<td><xsl:value-of select="@title"/></td>
					<td>
							<xsl:variable name="id" select="@id"/>
							<select class="gradbtn " name="status_{$id}">
								<xsl:if test="@status=0">
									<option value="0" selected ="1"  ></option>
									<option value="1" ></option>
								</xsl:if>
								<xsl:if test="@status=1">
									<option value="0" ></option>
									<option value="1" selected ="1" ></option>
								</xsl:if>
							</select>
					</td>
            	</tr>
				</xsl:for-each>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2">
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="''"/>
							<xsl:with-param name="align" select="'right'"/>
						</xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>

</xsl:stylesheet>
