<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
<xsl:import href="layout.xsl"/>

<xsl:output encoding="windows-1251" method='html' indent='yes'/>

<xsl:variable name="mid" select="/data/@mid"/>

<xsl:template match="/">
	<xsl:call-template name="main">
  		<xsl:with-param name="mode" select="'pub'"/>
  	</xsl:call-template>
</xsl:template>


<xsl:template name="head">
<xsl:text disable-output-escaping="yes">
	<![CDATA[    
    <style TYPE="text/css" TITLE="voiceip style">
        <!-- 
/*
		#idTdLeftPanel,
		#idTableContractTitle
 		{ display: none; }
	
		#idTableHeader { position: relative; top: -56px; }		
		#idTdSubContracts { position: relative; top: 36px; display: block; height: 34px; }		
		#idTdSubContractsLine { position: relative; top: 36px; display: block; }		

		#id_menu {
			position: absolute;
			top: 152px;
			font-family: Arial, Helvetica, sans-serif;
			font-size: 12px;
			color: #FFFFFF !important;
			padding-left: 15px;
		}
		
		#id_menu img { margin: 0px; padding: 0px; }
		
		#id_menu a, #id_menu img {
			margin-right: 18px;
			color: #FFFFFF !important;
		}
*/
		-->
    </style>
    ]]>
</xsl:text>
</xsl:template>


<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="/data/@action='ContractList'"> VoiceIP</xsl:when>
		<xsl:otherwise> VoiceIP</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template match="/data">
	<div id="id_menu">
		<a href="{$PUBEXECUTER}?action=CreateContract&amp;module=voiceip&amp;mid={$mid}"></a>
		<img src="img/peregorodki.gif"/>
		<a href="{$PUBEXECUTER}?action=ContractList&amp;module=voiceip&amp;mid={$mid}&amp;debug=1"></a>
	</div><br/>
	
	<xsl:choose>
		<xsl:when test="@action='ContractList'">
			<xsl:call-template name="ContractList"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="ContractCreate"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="ContractCreate">

	<strong>  VoiceIP</strong>
	<div class="report">
	<form  method="post" action="{$PUBEXECUTER}?action=CreateContract&amp;module=voiceip&amp;mid={$mid}">
	<table width="500" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td> :</td>
			<td align="right">
				<input name="fio" type="text" size="30" value="{/data/params/@fio}"/>
			</td>
		</tr>	
		<tr>
			<td> email:</td>			
			<td align="right">
				<input name="email" type="text" size="30" value="{/data/params/@email}"/>
			</td>
		</tr>
		<tr>
			<td colspan="2"><input type="checkbox" name="ref" value="1">
			<xsl:if test="/data/params/@ref = 1"><xsl:attribute name="checked">1</xsl:attribute></xsl:if>
			</input>
				   </td>
		</tr>
		<tr>
			<td>:</td>
			<td align="right">
				<input type="text" size="30" name="alias" value="{/data/params/@alias}"/>
			</td>
		</tr>
		
		<xsl:if test="not(/data/params/@find)">
		<input type="hidden" name="find" value="1"/>
		<tr>
			<!--
			<td colspan="2" align="right"><input type="submit" value=" "/></td>
			-->			
			<td colspan="2" align="right">
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="' '"/>
					<xsl:with-param name="guid" select="'_submit'"/>
					<xsl:with-param name="align" select="'center'"/>
				</xsl:call-template>
			</td>
		</tr>
		</xsl:if>
		
		<xsl:if test="/data/params/@find">
		
		<tr>
			<td> :</td>
			<td align="right">
				<input type="password" size="30" name="passw1" value="{/data/params/@passw}"/>
			</td>
		</tr>
		<tr>
			<td> :</td>
			<td align="right">
				<input type="password" size="30" name="passw2" value="{/data/params/@passw}"/>
			</td>
		</tr>
		<tr>
			<td colspan="2"> ,   .</td>
		</tr>
		<tr>
			<td valign="middle">
			<img src="{$PUBEXECUTER}?module=voiceip&amp;action=CreateContract&amp;mid={$mid}&amp;getcaptcha={/data/params/@random}"/></td>
			<td align="right">
			<input type="text" size="30" name="captcha"/><br/>
			    .
			</td>
		</tr>
		
		<tr>
			<td colspan="2" align="right"><input type="submit" value=" "/></td>
		</tr>
		
		</xsl:if>
		
		<tr><td colspan="2"><hr/></td></tr>
		
		<xsl:if test="/data/@status='error'">
			<tr><td colspan="2" style="color:red; font-weight: bold">				
				<xsl:value-of select="/data/text()"/>
			</td></tr>
		</xsl:if>

		<xsl:if test="/data/free">
			<tr><td colspan="2" style="font-weight: bold">			
				 :
			</td></tr>
		<xsl:for-each select="/data/free/alias">
			<tr><td colspan="2" style="font-weight: bold">			
				<xsl:value-of select="@alias"/>
			</td></tr>
		</xsl:for-each>
		</xsl:if>
		
		<xsl:if test="/data/contract">
			<tr><td colspan="2" style="font-weight: bold">			
				 .<br/><br/>
				<xsl:apply-templates select="/data/contract"/>
			</td></tr>
		</xsl:if>

	</table>
	</form>
	</div>
</xsl:template>


<xsl:template match="contract">
	  <xsl:value-of select="@title"/><br/>
	         
	<a href="#"> </a>.<br/>
	   
	  ,    -  
</xsl:template>


<xsl:template name="ContractList">
<!-- 
<form method='post' action='{$PUBEXECUTER}#idDivReport' name='~report'>
	<xsl:call-template name="action"/>	
	
	<xsl:call-template name="filters"/>
	<input type="hidden" name="debug" value="1"/>
	
	<xsl:call-template name="~report">
		<xsl:with-param name="node" select="aliases"/>
		<xsl:with-param name="data">

		<table cellspacing='1' style="width:700px;">
		<thead>
		<tr>
			<td></td>
			<td></td>
			<td>Email</td>
        </tr>
		</thead>
		<tbody>
		<xsl:for-each select="aliases/alias">
		<tr>
			<td><xsl:value-of select="@alias"/></td>
			<td><xsl:value-of select="@fio"/></td>
			<td><xsl:value-of select="@email"/></td>
		</tr>
		</xsl:for-each>
		</tbody>
		</table>

	</xsl:with-param>
	</xsl:call-template>
</form>
-->
	<form method="post" action="{$PUBEXECUTER}#idDivReport">
		<xsl:call-template name="action"/>	
		<xsl:call-template name="filters"/>
		<input type="hidden" name="debug" value="1"/>
	</form>

	<div class="report">

		<xsl:call-template name="pagesBar">
			<xsl:with-param name="node" select="aliases"/>
			<xsl:with-param name="action" select="$PUBEXECUTER"/>
			<xsl:with-param name="data">
				<xsl:call-template name="action"/>
				<xsl:call-template name="filters_hidden"/>
				<input type="hidden" name="debug" value="1"/>				
			</xsl:with-param>
		</xsl:call-template>

		<table class="table800">
		<thead>
			<tr>
				<td></td>
				<td></td>
				<td>Email</td>
       		</tr>
		</thead>
		<tbody>
			<xsl:for-each select="aliases/alias">
			<tr>
				<td><xsl:value-of select="@alias"/></td>
				<td><xsl:value-of select="@fio"/></td>
				<td><xsl:value-of select="@email"/></td>
			</tr>
			</xsl:for-each>
		</tbody>
		</table>

	</div>
</xsl:template>


<xsl:template name="filters">
	<table class="filter">
		<tr>
			<th>:</th>
			<td><input type="text" name="alias" size="8" value="{/data/@alias}"/></td>
			<th>:</th>
			<td><input type="text" name="fio" size="25" value="{/data/@fio}"/></td>
			<th>Email:</th>
			<td><input type="text" name="email" size="20" value="{/data/@email}"/></td>
			<td style="text-align: right; padding-right: 22px;">
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="''"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="filters_hidden">
	<input type="hidden" name="alias" value="{/data/@alias}"/>
	<input type="hidden" name="fio" value="{/data/@fio}"/>
	<input type="hidden" name="email" value="{/data/@email}"/>
</xsl:template>


</xsl:stylesheet>